Package org.pushingpixels.substance.api

# Enum Class SubstanceConstants.MenuGutterFillKind

java.lang.Object
java.lang.Enum<SubstanceConstants.MenuGutterFillKind>
org.pushingpixels.substance.api.SubstanceConstants.MenuGutterFillKind

All Implemented Interfaces:
  `Serializable`, `Comparable<SubstanceConstants.MenuGutterFillKind>`, `Constable`

Enclosing class:
  `SubstanceConstants`

public static enum SubstanceConstants.MenuGutterFillKind extends Enum<SubstanceConstants.MenuGutterFillKind>
Enumerates possible values for menu gutter fill kind.

See Also:
  - `SubstanceLookAndFeel.MENU_GUTTER_FILL_KIND`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HARD`
The `hard` (default) fill kind - draws gradient ranging from darker to light in the menu gutter.
`HARD_FILL`
The `hard fill` fill kind - draws darker fill background in the menu gutter.
`NONE`
The `none` fill kind - draws no background in the menu gutter.
`SOFT`
The `soft` fill kind - draws gradient ranging from darker to light in the menu gutter.
`SOFT_FILL`
The `soft fill` fill kind - draws light fill background in the menu gutter.

## Method Summary

Modifier and Type
Method
Description
`static SubstanceConstants.MenuGutterFillKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SubstanceConstants.MenuGutterFillKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final SubstanceConstants.MenuGutterFillKind NONE
The `none` fill kind - draws no background in the menu gutter.

### SOFT_FILL

public static final SubstanceConstants.MenuGutterFillKind SOFT_FILL
The `soft fill` fill kind - draws light fill background in the menu gutter.

### HARD_FILL

public static final SubstanceConstants.MenuGutterFillKind HARD_FILL
The `hard fill` fill kind - draws darker fill background in the menu gutter.

### SOFT

public static final SubstanceConstants.MenuGutterFillKind SOFT
The `soft` fill kind - draws gradient ranging from darker to light in the menu gutter.

### HARD

public static final SubstanceConstants.MenuGutterFillKind HARD
The `hard` (default) fill kind - draws gradient ranging from darker to light in the menu gutter.

## Method Details

### values

public static SubstanceConstants.MenuGutterFillKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SubstanceConstants.MenuGutterFillKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null